---
title: SVG 1.1 Support in Firefox
slug: Web/SVG/SVG_1.1_Support_in_Firefox
tags:
  - Firefox
  - SVG
---
<p>You can find some basic examples of SVG syntax and usage in the <a href="https://www.w3.org/Graphics/SVG/Test/20061213/">W3C SVG test suite</a>.</p>

<div class="note">
<p><strong>Note:</strong> As of {{Gecko("2.0")}}, Gecko supports SVG animation using SMIL. See <a href="/en-US/docs/SVG/SVG_animation_with_SMIL" title="SVG/SVG animation with SMIL">SVG animation with SMIL</a> for a brief overview. Full documentation for SVG is forthcoming. Someday.</p>
</div>

<p>There is also a description of the <a href="/en-US/docs/Web/SVG/SVG_2_support_in_Mozilla">Mozilla support of the changes in SVG 2</a>.</p>

<h2 id="Element_implementation_status">Element implementation status</h2>

<p>A quick overview of the <a href="https://www.w3.org/TR/SVG11/">SVG 1.1</a> elements and the current status of the native support.</p>

<table class="standard-table" style="border-collapse: separate;">
 <tbody>
  <tr>
   <th>Element</th>
   <th>Notes</th>
  </tr>
  <tr>
   <th colspan="2" style="text-align: center;"><a href="https://www.w3.org/TR/SVG11/struct.html#basic-structure-mod">Structure Module</a></th>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/struct.html#SVGElement">svg</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
     <li><code>currentScale</code> and <code>currentTranslate</code> DOM attributes are implemented, but there is no pan and zoom user interface.</li>
     <li>SVGSVGElement
      <ul>
       <li>Unimplemented attributes: contentScriptType, contentStyleType, viewport, currentView</li>
       <li>Unimplemented bindings: getIntersectionList, getEnclosureList, checkIntersection, checkEnclosure</li>
      </ul>
     </li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/struct.html#GElement">g</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/struct.html#DefsElement">defs</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/struct.html#DescElement">desc</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
     <li>Only stored in the DOM, no user interface.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/struct.html#TitleElement">title</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
     <li>The <code>title</code> is displayed as a tooltip when the mouse hovers over the SVG object.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/metadata.html#MetadataElement">metadata</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
     <li>Only stored in the DOM, no user interface.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/struct.html#SymbolElement">symbol</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/struct.html#UseElement">use</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
     <li>Doesn't completely follow &lt;svg:use&gt; cascading rules ({{Bug(265894)}}).</li>
     <li>Doesn't deliver events to a SVGElementInstance tree ({{Bug(265895)}}).</li>
    </ul>
   </td>
  </tr>
  <tr>
   <th colspan="2" style="text-align: center;"><a href="https://www.w3.org/TR/SVG11/struct.html#conditional-mod">Conditional Processing Module</a></th>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/struct.html#SwitchElement">switch</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
    </ul>
   </td>
  </tr>
  <tr>
   <th colspan="2" style="text-align: center;"><a href="https://www.w3.org/TR/SVG11/struct.html#image-mod">Image Module</a></th>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/struct.html#ImageElement">image</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
    </ul>
   </td>
  </tr>
  <tr>
   <th colspan="2" style="text-align: center;"><a href="https://www.w3.org/TR/SVG11/styling.html#style-mod">Style Module</a></th>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/styling.html#StyleElement">style</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
    </ul>
   </td>
  </tr>
  <tr>
   <th colspan="2" style="text-align: center;"><a href="https://www.w3.org/TR/SVG11/shapes.html#shape-mod">Shape Module</a></th>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/paths.html#PathElement">path</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
     <li>SVGPathElement Interface
      <ul>
       <li>Unimplemented attributes: normalizedPathSegList, animatedNormalizedPathSegList</li>
      </ul>
     </li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/shapes.html#RectElement">rect</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/shapes.html#CircleElement">circle</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/shapes.html#LineElement">line</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/shapes.html#EllipseElement">ellipse</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/shapes.html#PolylineElement">polyline</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/shapes.html#PolygonElement">polygon</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
    </ul>
   </td>
  </tr>
  <tr>
   <th colspan="2" style="text-align: center;"><a href="https://www.w3.org/TR/SVG11/text.html#text-mod">Text Module</a></th>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/text.html#TextElement">text</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
     <li>Various presentation attributes don't work (alignment-baseline, baseline-shift, dominant-baseline, kerning, letter-spacing, word-spacing, writing-mode, glyph-orientation-horizontal, glyph-orientation-vertical)</li>
     <li>Recently implemented presentation attributes: direction, unicode-bidi, font-variant, text-decoration {{gecko_minversion_inline("25")}}</li>
     <li>SVGTextElement
      <ul>
       <li>Recently imlemented bindings: selectSubString {{gecko_minversion_inline("25")}}</li>
       <li>Recently implemented attributes: textLength, lengthAdjust {{gecko_minversion_inline("25")}}</li>
      </ul>
     </li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/text.html#TSpanElement">tspan</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
     <li>Various presentation attributes don't work (alignment-baseline, baseline-shift, dominant-baseline, kerning, letter-spacing, word-spacing, writing-mode, glyph-orientation-horizontal, glyph-orientation-vertical)</li>
     <li>Recently implemented presentation attributes: direction, unicode-bidi, font-variant, text-decoration {{gecko_minversion_inline("25")}}</li>
     <li>SVGTSpanElement
      <ul>
       <li>Recently implemented bindings: selectSubString{{gecko_minversion_inline("25")}}</li>
       <li>Recently implemented attributes: textLength, lengthAdjust {{gecko_minversion_inline("25")}}</li>
      </ul>
     </li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: salmon;">
   <td style="background-color: rgb(204, 204, 204);"><a href="https://www.w3.org/TR/SVG11/text.html#TRefElement">tref</a></td>
   <td style="background-color: rgb(204, 204, 204);">
    <ul>
     <li>This feature, present in early draft of the spec, has been removed from it and is therefor not implemented ({{Bug(273171)}}).</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/text.html#TextPathElement">textPath</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
     <li>Recently implemented bindings: selectSubString{{gecko_minversion_inline("25")}}</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: khaki;">
   <td><a href="https://www.w3.org/TR/SVG11/text.html#AltGlyphElement">altGlyph</a></td>
   <td>
    <ul>
     <li>Implemented as tspans, no font features as of Gecko 2.0 ({{Bug(456286)}}, {{Bug(571808)}}).</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: salmon;">
   <td><a href="https://www.w3.org/TR/SVG11/text.html#AltGlyphDefElement">altGlyphDef</a></td>
   <td>
    <ul>
     <li>Not implemented.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: salmon;">
   <td><a href="https://www.w3.org/TR/SVG11/text.html#AltGlyphItemElement">altGlyphItem</a></td>
   <td>
    <ul>
     <li>Not implemented.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: salmon;">
   <td><a href="https://www.w3.org/TR/SVG11/text.html#GlyphRefElement">glyphRef</a></td>
   <td>
    <ul>
     <li>Not implemented.</li>
    </ul>
   </td>
  </tr>
  <tr>
   <th colspan="2" style="text-align: center;"><a href="https://www.w3.org/TR/SVG11/painting.html#marker-mod">Marker Module</a></th>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/painting.html#MarkerElement">marker</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
    </ul>
   </td>
  </tr>
  <tr>
   <th colspan="2" style="text-align: center;"><a href="https://www.w3.org/TR/SVG11/color.html#color-profile-mod">Color Profile Module</a></th>
  </tr>
  <tr style="color: black; background-color: salmon;">
   <td><a href="https://www.w3.org/TR/SVG11/color.html#ColorProfileElement">color-profile</a></td>
   <td>
    <ul>
     <li>Not implemented ({{Bug(427713)}}).</li>
    </ul>
   </td>
  </tr>
  <tr>
   <th colspan="2" style="text-align: center;"><a href="https://www.w3.org/TR/SVG11/pservers.html#gradient-mod">Gradient Module</a></th>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/pservers.html#LinearGradientElement">linearGradient</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/pservers.html#RadialGradientElement">radialGradient</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/pservers.html#StopElement">stop</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
    </ul>
   </td>
  </tr>
  <tr>
   <th colspan="2" style="text-align: center;"><a href="https://www.w3.org/TR/SVG11/pservers.html#pattern-mod">Pattern Module</a></th>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/pservers.html#PatternElement">pattern</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
    </ul>
   </td>
  </tr>
  <tr>
   <th colspan="2" style="text-align: center;"><a href="https://www.w3.org/TR/SVG11/masking.html#clip-mod">Clip Module</a></th>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/masking.html#ClipPathElement">clipPath</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
    </ul>
   </td>
  </tr>
  <tr>
   <th colspan="2" style="text-align: center;"><a href="https://www.w3.org/TR/SVG11/masking.html#mask-mod">Mask Module</a></th>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/masking.html#MaskElement">mask</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
    </ul>
   </td>
  </tr>
  <tr>
   <th colspan="2" style="text-align: center;"><a href="https://www.w3.org/TR/SVG11/filters.html#filter-mod">Filter Module</a></th>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/filters.html#FilterElement">filter</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
     <li>Of the pseudo-inputs, <code>SourceGraphic</code>, <code>SourceAlpha</code>, <code>FillPaint</code> {{gecko_minversion_inline("17")}} and <code>StrokePaint</code> {{gecko_minversion_inline("17")}} are implemented.</li>
     <li>Use of an unimplemented pseudo-input or filter element will cause the filter to be ignored and the referring graphic to be drawn without any filter.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/filters.html#feBlendElement">feBlend</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/filters.html#feColorMatrixElement">feColorMatrix</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/filters.html#feComponentTransferElement">feComponentTransfer</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/filters.html#feCompositeElement">feComposite</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/filters.html#feConvolveMatrixElement">feConvolveMatrix</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/filters.html#feDiffuseLightingElement">feDiffuseLighting</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/filters.html#feDisplacementMapElement">feDisplacementMap</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/filters.html#feFloodElement">feFlood</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/filters.html#feGaussianBlurElement">feGaussianBlur</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/filters.html#feImageElement">feImage</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
     <li>Document fragments ({{bug(455986)}}) aren't supported in &lt;svg:feImage&gt;.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/filters.html#feMergeElement">feMerge</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/filters.html#feMergeNodeElement">feMergeNode</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/filters.html#feMorphologyElement">feMorphology</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/filters.html#feOffsetElement">feOffset</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/filters.html#feSpecularLightingElement">feSpecularLighting</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/filters.html#feTileElement">feTile</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/filters.html#feTurbulenceElement">feTurbulence</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/filters.html#feDistantLightElement">feDistantLight</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/filters.html#fePointLightElement">fePointLight</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/filters.html#feSpotLightElement">feSpotLight</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/filters.html#feFuncRElement">feFuncR</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/filters.html#feFuncGElement">feFuncG</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/filters.html#feFuncBElement">feFuncB</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/filters.html#feFuncAElement">feFuncA</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
    </ul>
   </td>
  </tr>
  <tr>
   <th colspan="2" style="text-align: center;"><a href="https://www.w3.org/TR/SVG11/interact.html#cursor-mod">Cursor Module</a></th>
  </tr>
  <tr style="color: black; background-color: salmon;">
   <td><a href="https://www.w3.org/TR/SVG11/interact.html#CursorElement">cursor</a></td>
   <td>
    <ul>
     <li>Not implemented ({{Bug(177193)}}).</li>
    </ul>
   </td>
  </tr>
  <tr>
   <th colspan="2" style="text-align: center;"><a href="https://www.w3.org/TR/SVG11/linking.html#hyperlinking-mod">Hyperlinking Module</a></th>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/linking.html#AElement">a</a></td>
   <td>
    <ul>
     <li>Only <code>xlink:href</code>, <code>xlink:show</code>, <code>xlink:target</code> and <code>xlink:title</code> attributes implemented.</li>
    </ul>
   </td>
  </tr>
  <tr>
   <th colspan="2" style="text-align: center;"><a href="https://www.w3.org/TR/SVG11/linking.html#view-mod">View Module</a></th>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/linking.html#ViewElement">view</a></td>
   <td>
    <ul>
     <li>Implemented in Gecko 15.0 ({{Bug(512525)}}). {{gecko_minversion_inline("15.0")}}.</li>
    </ul>
   </td>
  </tr>
  <tr>
   <th colspan="2" style="text-align: center;"><a href="https://www.w3.org/TR/SVG11/script.html#scripting-mod">Scripting Module</a></th>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/script.html#ScriptElement">script</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
    </ul>
   </td>
  </tr>
  <tr>
   <th colspan="2" style="text-align: center;"><a href="https://www.w3.org/TR/SVG11/animate.html#animation-mod">Animation Module</a></th>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/animate.html#AnimateElement">animate</a></td>
   <td>
    <ul>
     <li>Implemented</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/animate.html#SetElement">set</a></td>
   <td>
    <ul>
     <li>Implemented</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/animate.html#AnimateMotionElement">animateMotion</a></td>
   <td>
    <ul>
     <li>Implemented</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/animate.html#AnimateTransformElement">animateTransform</a></td>
   <td>
    <ul>
     <li>Implemented</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: salmon;">
   <td><a href="https://www.w3.org/TR/SVG11/animate.html#AnimateColorElement">animateColor</a></td>
   <td>
    <ul>
     <li>Not implemented ({{Bug(436296)}}).</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/animate.html#mpathElement">mpath</a></td>
   <td>
    <ul>
     <li>Implemented</li>
    </ul>
   </td>
  </tr>
  <tr>
   <th colspan="2" style="text-align: center;"><a href="https://www.w3.org/TR/SVG11/fonts.html#font-mod">Font Module</a></th>
  </tr>
  <tr style="color: black; background-color: salmon;">
   <td><a href="https://www.w3.org/TR/SVG11/fonts.html#FontElement" title="http://www.w3.org/TR/SVG11/fonts.html#FontElement">font</a></td>
   <td>
    <ul>
     <li>Not implemented ({{Bug(119490)}}).</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: salmon;">
   <td><a href="https://www.w3.org/TR/SVG11/fonts.html#FontFaceNameElement">font-face</a></td>
   <td>
    <ul>
     <li>Not implemented.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: salmon;">
   <td><a href="https://www.w3.org/TR/SVG11/fonts.html#GlyphElement">glyph</a></td>
   <td>
    <ul>
     <li>Not implemented.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: salmon;">
   <td><a href="https://www.w3.org/TR/SVG11/fonts.html#MissingGlyphElement">missing-glyph</a></td>
   <td>
    <ul>
     <li>Not implemented.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: salmon;">
   <td><a href="https://www.w3.org/TR/SVG11/fonts.html#HKernElement">hkern</a></td>
   <td>
    <ul>
     <li>Not implemented.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: salmon;">
   <td><a href="https://www.w3.org/TR/SVG11/fonts.html#VKernElement">vkern</a></td>
   <td>
    <ul>
     <li>Not implemented.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: salmon;">
   <td><a href="https://www.w3.org/TR/SVG11/fonts.html#FontFaceSrcElement">font-face-src</a></td>
   <td>
    <ul>
     <li>Not implemented.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: salmon;">
   <td><a href="https://www.w3.org/TR/SVG11/fonts.html#FontFaceNameElement">font-face-uri</a></td>
   <td>
    <ul>
     <li>Not implemented.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: salmon;">
   <td><a href="https://www.w3.org/TR/SVG11/fonts.html#FontFaceNameElement">font-face-format</a></td>
   <td>
    <ul>
     <li>Not implemented.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: salmon;">
   <td><a href="https://www.w3.org/TR/SVG11/fonts.html#FontFaceNameElement">font-face-name</a></td>
   <td>
    <ul>
     <li>Not implemented.</li>
    </ul>
   </td>
  </tr>
  <tr style="color: black; background-color: salmon;">
   <td><a href="https://www.w3.org/TR/SVG11/fonts.html#DefinitionSrcElement">definition-src</a></td>
   <td>
    <ul>
     <li>Not implemented.</li>
    </ul>
   </td>
  </tr>
  <tr>
   <th colspan="2" style="text-align: center;"><a href="https://www.w3.org/TR/SVG11/extend.html#extensibility-mod">Extensibility Module</a></th>
  </tr>
  <tr style="color: black; background-color: lightgreen;">
   <td><a href="https://www.w3.org/TR/SVG11/extend.html#ForeignObjectElement">foreignObject</a></td>
   <td>
    <ul>
     <li>Implemented.</li>
    </ul>
   </td>
  </tr>
 </tbody>
</table>
